The plugin does not have a valid header

我在使用autoblogged插件时,上传完后,启用插件时遇到了“The plugin does not have a valid header”这一问题。由于是刚入手wordpress,找了很久才找到原因。

以我使用的插件autoblogged2.5.74为例,讲下原因以及解决办法。这个插件我在网上下载的,压缩文件里的文件夹名也是autoblogged2.5.74,问题就出在这里,插件作者设计的文件夹名应该是autoblogged

只要我们解压这个压缩文件,将文件夹重命名autoblogged后自己压缩成zip文件就可以了。

插件开发者是这么描述的

要正确安装AutoBlogged,你应该使用FTP或托管控制面板的文件管理器上传下的wp-content/plugins目录autoblogged目录直接。换句话说,完整路径autoblogged.php应该是
:/ wp-content/plugins/autoblogged/autoblogged.php

这样再上传,安装试试。如果还不能解决请给我留言。

相关日志

发表评论

电子邮件地址不会被公开。 必填项已用*标注